aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-10-10 23:06:21 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-10-10 23:06:21 +0200
commita2a853be927de72bf582efb8da256159f5aeaf68 (patch)
treec5e164230b1a2af0d42f85ef670a104397478c38
parentb3186538163e873fd58986184586ac5a4463fd17 (diff)
Prepare the nogfx variant of the service check
and enhance verbosity. Change-Id: Ia95a6236ffc4229703714ad58b70b21c00884c5c Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
-rwxr-xr-xcommon/scripts/service-check-gfx.sh (renamed from common/scripts/service-check.sh)9
-rwxr-xr-xcommon/scripts/service-check-nogfx.sh25
-rw-r--r--test-suites/short-smoke/service-check-nogfx.yaml15
-rw-r--r--test-suites/short-smoke/service-check.yaml2
4 files changed, 47 insertions, 4 deletions
diff --git a/common/scripts/service-check.sh b/common/scripts/service-check-gfx.sh
index 4dc0a25..2a5353b 100755
--- a/common/scripts/service-check.sh
+++ b/common/scripts/service-check-gfx.sh
@@ -7,16 +7,19 @@ ALL="${REQUIREDSOCKETS} ${REQUIREDSERVICES}"
RESULT="unknown"
for i in ${ALL} ; do
- echo "########## Test for service ${i} being active ##########"
+ echo -e "\n########## Test for service ${i} being active ##########\n"
systemctl is-active ${i} >/dev/null 2>&1
if [ $? -eq 0 ] ; then
RESULT="pass"
else
- systemctl status ${i} || true
RESULT="fail"
fi
- echo "########## Result for service ${i} : $RESULT ##########"
lava-test-case ${i} --result ${RESULT}
+
+ if [ x"fail" == x"${RESULT}" ] ; then
+ systemctl status ${i} || true
+ fi
+ echo -e "\n########## Result for service ${i} : $RESULT ##########\n"
done
exit 0 \ No newline at end of file
diff --git a/common/scripts/service-check-nogfx.sh b/common/scripts/service-check-nogfx.sh
new file mode 100755
index 0000000..62d1b3d
--- /dev/null
+++ b/common/scripts/service-check-nogfx.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+REQUIREDSOCKETS="cynara.socket security-manager.socket"
+REQUIREDSERVICES="afm-system-daemon.service afm-user-daemon.service connman.service"
+
+ALL="${REQUIREDSOCKETS} ${REQUIREDSERVICES}"
+RESULT="unknown"
+
+for i in ${ALL} ; do
+ echo -e "\n########## Test for service ${i} being active ##########\n"
+ systemctl is-active ${i} >/dev/null 2>&1
+ if [ $? -eq 0 ] ; then
+ RESULT="pass"
+ else
+ RESULT="fail"
+ fi
+ lava-test-case ${i} --result ${RESULT}
+
+ if [ x"fail" == x"${RESULT}" ] ; then
+ systemctl status ${i} || true
+ fi
+ echo -e "\n########## Result for service ${i} : $RESULT ##########\n"
+done
+
+exit 0 \ No newline at end of file
diff --git a/test-suites/short-smoke/service-check-nogfx.yaml b/test-suites/short-smoke/service-check-nogfx.yaml
new file mode 100644
index 0000000..310f223
--- /dev/null
+++ b/test-suites/short-smoke/service-check-nogfx.yaml
@@ -0,0 +1,15 @@
+metadata:
+ name: services
+ format: "Lava-Test-Shell Test Definition 1.0"
+ description: "Check all services and sockets are up on the device"
+ maintainer:
+ - lollivier@baylibre.com
+ os:
+ - openembedded
+ scope:
+ - functional
+
+run:
+ steps:
+ - "cd common/scripts"
+ - "./service-check-nogfx.sh"
diff --git a/test-suites/short-smoke/service-check.yaml b/test-suites/short-smoke/service-check.yaml
index ca0b4c0..8c680c9 100644
--- a/test-suites/short-smoke/service-check.yaml
+++ b/test-suites/short-smoke/service-check.yaml
@@ -12,4 +12,4 @@ metadata:
run:
steps:
- "cd common/scripts"
- - "./service-check.sh"
+ - "./service-check-gfx.sh"